#plane of water fight 3
from eventAPI import *
from APIUtils import *

rtpowaterFlag3=0

def fireEvent(e):
   global rtpowaterFlag3
   rtpowaterFlag3 = getTag(e, "rtpowaterFlag3")
   if (rtpowaterFlag3 == 1):
      return 1
   else:
      fightThem(e)

def fightThem(e):
   combatRet = combat(e, [("Thirster", 9, 3, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtpowaterFlag3
   rtpofireFlag3 = 1
   setTag(e, "rtpowaterFlag3", rtpowaterFlag3)
